package fileMenu;


import java.io.IOException;

public interface ISavable
{
   // set/get used for loading/saving.
   String get(boolean allowLarge);
   void set(String input) throws IOException;

   // flag used to know if it needs to be saved
   boolean hasUnsavedChanges();
   // called after successful save, should clear the flag till savable contents change.
   void setNoUnsavedChanges();

   // clear all savable content. Called when the New menu option chosen.
   void clear();


   // name of the server directory that this object is allowed to write to/read from. null means no server access allowed.
   String getServerDir();
   // Name of the file extension, without a leading dot.
   String getFileExtension();
   // Description of the type of files with that extension.
   String getFileExtensionDesc();
}
