package fileMenu;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;

public class ServerUtil {
   private static final String[] scripts = {
      "readdir", "readfile","writefile","deletefile","renamefile"
   };
   private static final String scriptDir = "http://www.jaapsch.net/scripts/";

   public static final int READDIR = 0;
   public static final int READFILE = 1;
   public static final int WRITEFILE = 2;
   public static final int DELETEFILE = 3;
   public static final int RENAMEFILE = 4;


   public static String submit(int task, String serverDir, String[] params){
      try {
         // Construct data
         String data = URLEncoder.encode("dir", "UTF-8") + "=" + URLEncoder.encode(serverDir, "UTF-8");
         if( params !=null ){
            for( int i=0; i<params.length; i+=2 ){
               data += "&" + URLEncoder.encode(params[i], "UTF-8") + "=" + URLEncoder.encode(params[i+1], "UTF-8");
            }
         }

         // Send data
         URL url = new URL(scriptDir+scripts[task]+".php");
         URLConnection conn = url.openConnection();
         conn.setDoOutput(true);
         OutputStreamWriter wr = new OutputStreamWriter(conn.getOutputStream());
         wr.write(data);
         wr.flush();

         // Get the response
         BufferedReader rd = new BufferedReader(new InputStreamReader(conn.getInputStream()));
         String response = "";
         String line;
         while ((line = rd.readLine()) != null) {
             response += line + '\n';
         }
         wr.close();
         rd.close();
         return response;
     } catch (IOException e) {
        return e.toString();
     }
   }

   public static String checkFileName(String filename){
      if( filename.isEmpty() ) return "Please enter a file name.";
      if( ! filename.matches("^[0-9a-zA-Z_]*$") )
         return "The file name may only contain alphanumeric characters and underscores.";
      return null;
   }
}
