package lightsOutGraph.gui;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JApplet;
import javax.swing.JFrame;
import javax.swing.UIManager;
import javax.swing.JMenuBar;

import fileMenu.FileMenu;
import fileMenu.ISavable;

public class LightsOutGraph extends JApplet
{
   public void init() {
      // the look&feel must be set before any swing objects are made.
      try {
         UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      } catch (Exception e) { }
      MainPanel mainPanel = new MainPanel();
      getContentPane().add(mainPanel);
      setJMenuBar(getMenu(true, mainPanel));
   }

   public static void main(String[] args) {
      try {
         UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      } catch (Exception e) { }

      JFrame f = new JFrame("LightsOutGraph");
      f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      MainPanel mainPanel = new MainPanel();
      f.getContentPane().add(mainPanel);
      f.setJMenuBar(getMenu(false, mainPanel));

      f.addWindowListener(new WindowAdapter() {
          public void windowClosing(WindowEvent e) {
              System.exit(0);
          }
      });

      f.pack();
      f.setVisible(true);
   }
   private static JMenuBar getMenu(boolean isApplet, ISavable savable){
      JMenuBar menuBar = new JMenuBar();
      menuBar.add(new FileMenu(isApplet, savable));
      return menuBar;
   }
   public String getAppletInfo() {
       return "LightsOutGraph, by Jaap Scherphuis";
   }
}
